{ ... }: {

  networking.networkmanager = {
    enable = true;
    wifi.backend = "iwd";
  };

  systemd.services.NetworkManager-wait-online.enable = false;

  networking.wireless.iwd = {
    enable = true;
    settings = {
      General.EnableNetworkConfiguration = true;
      General.AutoConnect = true;
    };
  };

  # TODO: WiFi password automation

}
